Get product

The Get product method returns the information about a product of the current reseller or any of its downstream resellers.

XML
GET {base_url}/api/v3/customer_store/resellers/{reseller_id}/products/{product_id}

Arguments

Name

Parameter Type

Data type

Required/Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

product_id

path

integer

Required

ID of the product

plan_currency

query

bool

Optional

Defines whether the plan currency will be used for prices in the product (see also ):

  • true — prices in every plan are displayed in the currency of this plan.

  • false — all prices are displayed in the reseller currency (by default). If the plan currency differs from the reseller currency, the prices are recalculated with the current exchange rate (see ).

include

query

integer

Optional

Returns additional information about related objects. The parameter can be a comma-separated list if information about several objects is required. The following objects and possible values are supported:

Object

Parameter value

Vendor

vendor

Product line

product_line

Response model

Name

Data type

Description

data

object

Response data


id

integer

Product ID


type

string

Data type


attributes

object

Product information



created_at

date

Date and time of the product creation



updated_at

date

Date and time when the product was updated



name

string

Product name



type

string

Product type



category

object

Information about the product category




data

object

Product category data (see


)





id

integer

Product category ID





type

string

Data type





attributes

object

Product category information






created_at

date

Date and time of the product category creation






updated_at

date

Date and time when the product category was updated






key

string

Product category key






name

string

Product category name






description

string

Description of the product category






priority

integer

Product category priority






logo

string

Link to the product category logo file



description

string

Description of the product



license-agreement

string

Link to the license agreement of the product



privacy-policy

string

Link to the privacy policy of the product



public

bool

Indication whether the product is available in Storefront:

  • true — the product is published and displayed in Storefront.

  • false — the product is not published and not displayed in Storefront.



priority

integer

Product priority (see


)



plans

array of objects

Information about the plans linked to the product




created_at

date

Date and time of the plan creation




updated_at

date

Date and time when the plan was updated




id

integer

Plan ID




status

string

Status of the plan (for the list of plans statuses, see 


)




name

string

Name of the plan




description

string

Plan details description




sku

string

SKU of the plan




public

bool

Indication whether the plan is available for sale:

  • true — the plan is available for sale.

  • false — the plan is not available for sale.




plan_class

string

Name of the service term (see 


)




plan_class_id

integer

ID of the service term (see 


)




billing_type

string

Billing type of the plan (see


)




singleton

bool

The Singleton option of the plan:

  • true — a customer can have only one subscription to the plan.

  • false — a customer can have several subscriptions to the plan.




fixed_price

bool

The Fixed price option of the plan:

  • true — a customer pays for the subscription and ordering additional resources the same price as it was set at the moment of the subscription order. The new price will be applied only after the subscription is renewed.

  • false — the plan prices are not fixed for customers.




auto_renewal

bool

Indicates the status of the Auto-renew option of the plan:

  • true — the Auto-renew option is activated.

  • false — the Auto-renew option is not activated.




currency

object

Information about the currency used for displaying the plan fees. Defined by the plan_currency parameter





precision

integer

Number of decimal places for currency subunits (for example, for cents, the precision is 2).





unit

string

Displayed name for the currency units





separator

string

Decimal separator





delimiter

string

Separator for groups of thousands





format

string

Format — display order of units and amount:

  • %n — amount.

  • %u — units.





iso_code

string

Currency code 

ISO 4217 alpha-3




resources

array of objects

Resources of the plan





created_at

date

Date and time of the resource creation





updated_at

date

Date and time when the resource was updated





id

integer

ID of the resource in the plan





name

string

Name the resource





key

string

Key the resource





unit_of_measure

string

Unit of measure of the resource:

  • unit — the resource is measurable. The resource amount is specified.

  • boolean — the resource is non-measurable. The resource amount is not required and:true — the resource is included in the plan.false — the resource is not included in the plan.





status

string

Status of the resource:

  • active

  • inactive

  • deleted





included

integer

Amount of the resource included in the plan by default (included resources are part of the subscription price)





minimum

integer

Minimum amount of the resource (together with the included amount) available for ordering (see


)





limit

integer

Maximum amount of the resource available for ordering. For an unlimited resource (unlimited = true), limit = 0





public

bool

Availability of the resource:

  • true — the resource is available for ordering.

  • false — the resource is not available for ordering.





unlimited

bool

Attribute of the unlimited resource:

  • true — the resource is unlimited.

  • false — the resource is not unlimited.





fees

object

Information about fees of the resource






setup

float

Setup fee of the resource






overuse

float

Overuse fee of the resource






recurring

float

Monthly recurring fee of the resource






renewal

float

Renewal fee of the resource




periods

array of objects

Plan periods





created_at

date

Date and time of the plan period creation





updated_at

date

Date and time when the plan period was updated





id

integer

ID of the plan period





endless

bool

Indicator of the endless plan period:

  • true — the plan period is endless (perpetual).

  • false — the plan period is not endless. For the plan period duration, see duration.





trial

bool

Plan period type:

  • true — trial plan period.

  • false — commercial plan period.





public

bool

Availability of the plan period:

  • true — the plan period is available for ordering.

  • false — the plan period is not available for ordering.





status

string

Status of the plan period:

  • active

  • deleted





description

string

Plan period details description





durations

object

Plan period duration






value

integer

Duration of the plan period. For an endless plan period, value = null






type

string

Unit of measure of the plan period duration. For an endless plan period, type = null





fees

object

Information about fees of the plan period






setup

float

Setup fee of the plan for the plan period






recurring

float

Monthly recurring fee of the plan for the plan period






transfer

float

Transfer fee of a domain for the plan period. The transfer fee is applied if domains are available as a resource in the service






renewal

float

Renewal fee of the plan for the plan period



support

object

Information about technical support of the product




phone

string

Phone number of technical support




email

string

Email of technical support




url

string

Link to the service desk of the product




details

string

Detailed information about technical support



market

object

Marketing information about the product for Storefront (see the Marketing tab in


)




created_at

date

Date and time of the marketing information creation




updated_at

date

Date and time when the marketing information was updated




name

string

Product name




description

string

Product description




brief_description

string

Brief product description




screenshots

array of objects

Information about screenshots of the product





title

string

Screenshot title





url

string

Link to the screenshot




video_url

array of objects

Information about videos of the product





title

string

Video title





url

string

Link to the video




documentation_url

array of objects

Information about documentation of the product





title

string

Document title





url

string

Link to the document




benefits

array of objects

Information about benefits of the product





title

string

Benefit title





description

string

Benefit description




image

string

Link to the product logo file


relationships

object

Related objects



vendor

object

Information about the related vendor




data

object

Information about a vendor





id

string

Vendor ID





type

string

Data type



product_line

object

Information about a related product line




data

object

Information about a product line





id

string

Product line ID





type

string

Data type

included

array of objects

Additional information about the objects listed in the request:

Name

Data type

Description

id

string

ID of the object

type

string

Data type

attributes

object

Attributes of the object (see details below)

For a vendor (see ):

Name

Data type

Description

created_at

string

Date and time of a vendor creation

updated_at

string

Date and time when a vendor was updated

name

string

The unique name of a vendor

logo

string

A link to the vendor logo

For a product line (see ):

Name

Data type

Description

created_at

string

Date and time of a product line creation

updated_at

string

Date and time when a product line was updated

name

string

The unique name of a product line

meta

object

Additional response data


currency

string

Reseller currency code 

ISO 4217 alpha-3

Request example

XML
GET /api/v3/customer_store/resellers/1/products/1
Host: https://test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": {
        "id": "1",
        "type": "products",
        "attributes": {
            "created_at": "2022-12-21T13:04:37.202Z",
            "updated_at": "2023-02-14T13:02:26.512Z",
            "name": "Product 1",
            "category": {
                "data": {
                    "id": "1",
                    "type": "product_categories",
                    "attributes": {
                        "created_at": "2022-12-21T13:04:03.099Z",
                        "updated_at": "2022-12-21T13:04:03.099Z",
                        "key": "123",
                        "name": "Category1",
                        "description": "",
                        "priority": 0,
                        "public": false,
                        "logo": null
                    }
                }
            },
            "description": "",
            "public": false,
            "license_agreement": null,
            "privacy_policy": null,
            "priority": 0,
            "plans": [
                {
                    "created_at": "2023-02-01T13:53:37.593Z",
                    "updated_at": "2023-02-01T13:55:05.811Z",
                    "id": 1205,
                    "status": "active",
                    "name": "office 365",
                    "description": "",
                    "sku": "",
                    "public": true,
                    "plan_class": "Default(external system)",
                    "plan_class_id": 1,
                    "billing_type": "csp_monthly",
                    "singleton": false,
                    "fixed_price": false,
                    "auto_renewal": false,
                    "currency": {
                        "precision": 2,
                        "unit": "€",
                        "separator": ".",
                        "delimiter": " ",
                        "format": "%n %u",
                        "iso_code": "EUR"
                    },
                    "resources": [
                        {
                            "created_at": "2023-02-01T13:56:34.176Z",
                            "updated_at": "2023-02-01T13:56:34.176Z",
                            "id": 1251,
                            "name": "Licences count",
                            "key": null,
                            "unit_of_measure": "unit",
                            "status": "active",
                            "included": 0,
                            "minimum": 0,
                            "limit": 1500,
                            "public": true,
                            "unlimited": false,
                            "fees": {
                                "setup": "0.0",
                                "overuse": "0.0",
                                "recurring": "10.0",
                                "renewal": "0.0"
                            }
                        }
                    ],
                    "periods": [
                        {
                            "created_at": "2023-02-01T13:55:05.806Z",
                            "updated_at": "2023-02-01T13:55:05.806Z",
                            "id": 1210,
                            "endless": false,
                            "trial": false,
                            "public": true,
                            "status": "active",
                            "description": null,
                            "durations": {
                                "value": 1,
                                "type": "month"
                            },
                            "fees": {
                                "setup": "0.0",
                                "recurring": "0.0",
                                "transfer": "0.0",
                                "renewal": "0.0"
                            }
                        }
                    ]
                },
                {
                    "created_at": "2023-01-16T11:54:54.420Z",
                    "updated_at": "2023-01-16T11:55:39.310Z",
                    "id": 1010,
                    "status": "active",
                    "name": "Perpetual",
                    "description": "",
                    "sku": "",
                    "public": true,
                    "plan_class": "Default(external system)",
                    "plan_class_id": 1,
                    "billing_type": "non_recurring",
                    "singleton": false,
                    "fixed_price": false,
                    "auto_renewal": false,
                    "currency": {
                        "precision": 2,
                        "unit": "€",
                        "separator": ".",
                        "delimiter": " ",
                        "format": "%n %u",
                        "iso_code": "EUR"
                    },
                    "resources": [
                        {
                            "created_at": "2023-01-16T11:55:39.280Z",
                            "updated_at": "2023-01-16T11:55:39.280Z",
                            "id": 1057,
                            "name": "SQL Server 2022 Enterprise - 2 Core License Pack - 1 year",
                            "key": null,
                            "unit_of_measure": "unit",
                            "status": "active",
                            "included": 0,
                            "minimum": 0,
                            "limit": 1500,
                            "public": true,
                            "unlimited": false,
                            "fees": {
                                "setup": "10.0",
                                "overuse": "0.0",
                                "recurring": "0.0",
                                "renewal": "5.0"
                            }
                        }
                    ],
                    "periods": [
                        {
                            "created_at": "2023-01-16T11:55:39.301Z",
                            "updated_at": "2023-01-16T11:55:39.301Z",
                            "id": 1015,
                            "endless": false,
                            "trial": false,
                            "public": true,
                            "status": "active",
                            "description": null,
                            "durations": {
                                "value": 1,
                                "type": "year"
                            },
                            "fees": {
                                "setup": "0.0",
                                "recurring": "0.0",
                                "transfer": "0.0",
                                "renewal": "0.0"
                            }
                        }
                    ]
                }
            ],
            "support": {
                "phone": "",
                "email": "",
                "url": "",
                "details": ""
            },
            "market": {
                "created_at": "2022-12-21T13:04:56.966Z",
                "updated_at": "2022-12-21T13:04:56.966Z",
                "name": "Solution",
                "description": "SQL Server 2022 Enterprise",
                "brief_description": "SQL Server 2022 Enterprise",
                "screenshots": [],
                "video_url": [],
                "documentation_url": [],
                "benefits": [],
                "image": null
            }
        },
        "relationships": {
            "vendor": {
                "data": {
                    "id": "15",
                    "type": "vendors"
                }
            },
            "product_line": {
                "data": {
                    "id": "6",
                    "type": "product_lines"
                }
            }
        }
    },
    "meta": {
        "currency": "USD"
    }
}